clear all
global Tc Pc T P R
Tc=304.2;
Pc=72.9;
R=0.08206;
Tr=[1.1; 1.3; 2.0];
T=Tc*Tr;
Pr0=0.1;
Prf=10;
V10=3.71998;
V20=4.4344;
V30=6.89988;
[Pr V]=ode45('p401d2f',[Pr0 Prf],[V10 V20 V30]);
P=Pc*Pr;
T1=T(1);
T2=T(2);
T3=T(3);
Z1=(P.*V(:,1))./(R.*T1);
Z2=(P.*V(:,2))./(R.*T2);
Z3=(P.*V(:,3))./(R.*T3);
plot(Pr,Z1,Pr,Z2,'--',Pr,Z3,':');
xlabel('Reduced Pressure')
ylabel('Compressibility Factor')
axis([0.1 10 0 1.5])

