clear all
global Pc R T a b
Tc=647.4;
Pc=218.3;
R=0.08206;
a=0.42747*R^2*Tc^(5/2)/Pc;
b=0.08664*R*Tc/Pc;
Tr=[1.2; 1.4; 3.0];
T=Tr*Tc;
Pr0=0.5;
Prf=30;
V10=0.523726;
V20=0.639885;
V30=1.461820;
[Pr,V]=ode45('p405a3f',[Pr0 Prf],[V10 V20 V30]);
P=Pr.*Pc;
T1=T(1);
T2=T(2);
T3=T(3);
V1=V(:,1);
V2=V(:,2);
V3=V(:,3);
Z1=(P.*V1)/(R*T1);
Z2=(P.*V2)/(R*T2);
Z3=(P.*V3)/(R*T3);
Hdep1=(3*a/(2*b*R*T1^(1.5)))*log(1+b./V1)-(Z1-1);
Hdep2=(3*a/(2*b*R*T2^(1.5)))*log(1+b./V2)-(Z2-1);
Hdep3=(3*a/(2*b*R*T3^(1.5)))*log(1+b./V3)-(Z3-1);
figure(1)
plot(Pr,Hdep1,Pr,Hdep2,'--',Pr,Hdep3,':')
xlabel('Reduced Pressure (Pr)')
ylabel('Enthalphy Departure')
figure(2)
lnPr=log(Pr);
Sdep1=(a/(2*b*R*T1^(1.5)))*log((1+b./V1))-log(Z1-(P*b)./(R*T1));
Sdep2=(a/(2*b*R*T2^(1.5)))*log((1+b./V2))-log(Z2-(P*b)./(R*T2));
Sdep3=(a/(2*b*R*T3^(1.5)))*log((1+b./V3))-log(Z3-(P*b)./(R*T3));
plot(lnPr,Sdep1,lnPr,Sdep2,'--',lnPr,Sdep3,':')
xlabel('Reduced Pressure (Pr)')
ylabel('Entropy Departure')